---
title: "Manage account holders"
description: "Learn how to manage account holders on your platform."
url: "https://docs.adyen.com/business-accounts/manage-account-holders"
source_url: "https://docs.adyen.com/business-accounts/manage-account-holders.md"
canonical: "https://docs.adyen.com/business-accounts/manage-account-holders"
last_modified: "2023-03-28T10:48:00+02:00"
language: "en"
---

# Manage account holders

Learn how to manage account holders on your platform.

Account holders are the main API resource that represent users of your balance platform integration. It contains the legal entities and balance accounts of the user. The object also contains information about the user's [capabilities](/business-accounts/verification-overview/capabilities). To manage account holders, use the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview).

This page contains instructions for common account holder operations. These operations are part of a larger process which includes [verification](/business-accounts/verification-overview) and [onboarding steps](/business-accounts/onboard-users).

Account holders cannot be deleted. You can temporarily [suspend them](#suspend-account-holder) to disable payout capabilities, or [close them permanently](#permanent-deactivation).

## Create an account holder

You can create account holders using the Configuration API. To create an account holder, you need to [create a legal entity](/business-accounts/manage-legal-entities#create-legal-entity) first.

1. Make a POST [/accountHolders](https://docs.adyen.com/api-explorer/#/balanceplatform/latest/post/accountHolders) request using a [legal entity ID](/business-accounts/manage-legal-entities#create-legal-entity). For sole proprietorships, this is the individual legal entity ID of the owner.

   **Create an account holder**

   #### curl

   ```bash
   curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders \
   -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \
   -H 'content-type: application/json' \
   -X POST \
   -d '{
     "description": "New Seller",
     "reference": "S.Eller-001",
     "legalEntityId": "LE00000000000000000000001"
   }'
   ```

   #### Java

   ```java
   // Adyen Java API Library v33.0.0
   import com.adyen.Client;
   import com.adyen.enums.Environment;
   import com.adyen.model.balanceplatform.*;
   import java.time.OffsetDateTime;
   import java.util.*;
   import com.adyen.service.balancePlatform.*;

   Client client = new Client("ADYEN_BALANCE_PLATFORM_API_KEY", Environment.TEST);

   // Create the request object(s)
   AccountHolderInfo accountHolderInfo = new AccountHolderInfo()
     .reference("S.Eller-001")
     .legalEntityId("LE00000000000000000000001")
     .description("New Seller");

   // Send the request
   AccountHoldersApi service = new AccountHoldersApi(client);
   AccountHolder response = service.createAccountHolder(accountHolderInfo, null);
   ```

   #### PHP

   ```php
   <?php
   // Adyen PHP API Library v24.0.0
   use Adyen\Client;
   use Adyen\Environment;
   use Adyen\Model\BalancePlatform\AccountHolderInfo;
   use Adyen\Service\BalancePlatform\AccountHoldersApi;

   $client = new Client();
   $client->setXApiKey("ADYEN_BALANCE_PLATFORM_API_KEY");
   $client->setEnvironment(Environment::TEST);


   // Create the request object(s)
   $accountHolderInfo = new AccountHolderInfo();
   $accountHolderInfo
     ->setReference("S.Eller-001")
     ->setLegalEntityId("LE00000000000000000000001")
     ->setDescription("New Seller");

   // Send the request
   $service = new AccountHoldersApi($client);
   $response = $service->createAccountHolder($accountHolderInfo);
   ```

   #### C\#

   ```cs
   // Adyen .net API Library v28.0.0
   using Adyen;
   using Environment = Adyen.Model.Environment;
   using Adyen.Model;
   using Adyen.Model.BalancePlatform;
   using Adyen.Service.BalancePlatform;

   var config = new Config()
   {
       XApiKey = "ADYEN_BALANCE_PLATFORM_API_KEY",
       Environment = Environment.Test
   };
   var client = new Client(config);

   // Create the request object(s)
   AccountHolderInfo accountHolderInfo = new AccountHolderInfo
   {
     Reference = "S.Eller-001",
     LegalEntityId = "LE00000000000000000000001",
     Description = "New Seller"
   };

   // Send the request
   var service = new AccountHoldersService(client);
   var response = service.CreateAccountHolder(accountHolderInfo);
   ```

   #### NodeJS (JavaScript)

   ```js
   // Adyen Node API Library v23.3.0
   const { Client, BalancePlatformAPI } = require('@adyen/api-library');

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderInfo = {
     description: "New Seller",
     reference: "S.Eller-001",
     legalEntityId: "LE00000000000000000000001"
   }

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.createAccountHolder(accountHolderInfo);
   ```

   #### Go

   ```go
   // Adyen Go API Library v17.0.0
   import (
     "context"
     "github.com/adyen/adyen-go-api-library/v17/src/common"
     "github.com/adyen/adyen-go-api-library/v17/src/adyen"
     "github.com/adyen/adyen-go-api-library/v17/src/balancePlatform"
   )
   client := adyen.NewClient(&common.Config{
     ApiKey:      "ADYEN_BALANCE_PLATFORM_API_KEY",
     Environment: common.TestEnv,
   })

   // Create the request object(s)
   accountHolderInfo := balancePlatform.AccountHolderInfo{
     Reference: common.PtrString("S.Eller-001"),
     LegalEntityId: "LE00000000000000000000001",
     Description: common.PtrString("New Seller"),
   }

   // Send the request
   service := client.BalancePlatform()
   req := service.AccountHoldersApi.CreateAccountHolderInput().AccountHolderInfo(accountHolderInfo)
   res, httpRes, err := service.AccountHoldersApi.CreateAccountHolder(context.Background(), req)
   ```

   #### Python

   ```py
   # Adyen Python API Library v13.3.0
   import Adyen

   adyen = Adyen.Adyen()
   adyen.client.xapikey = "ADYEN_BALANCE_PLATFORM_API_KEY"
   adyen.client.platform = "test" # The environment to use library in.

   # Create the request object(s)
   json_request = {
     "description": "New Seller",
     "reference": "S.Eller-001",
     "legalEntityId": "LE00000000000000000000001"
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.create_account_holder(request=json_request)
   ```

   #### Ruby

   ```rb
   # Adyen Ruby API Library v10.1.1
   require "adyen-ruby-api-library"

   adyen = Adyen::Client.new
   adyen.api_key = 'ADYEN_BALANCE_PLATFORM_API_KEY'
   adyen.env = :test # Set to "live" for live environment

   # Create the request object(s)
   request_body = {
     :description => 'New Seller',
     :reference => 'S.Eller-001',
     :legalEntityId => 'LE00000000000000000000001'
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.create_account_holder(request_body)
   ```

   #### NodeJS (TypeScript)

   ```ts
   // Adyen Node API Library v23.3.0
   import { Client, BalancePlatformAPI, Types } from "@adyen/api-library";

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderInfo: Types.balancePlatform.AccountHolderInfo = {
     reference: "S.Eller-001",
     legalEntityId: "LE00000000000000000000001",
     description: "New Seller"
   };

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.createAccountHolder(accountHolderInfo);
   ```

2. In the response, note the unique `id` of the new `accountHolder` resource as well as a capabilities object with the default [capabilities](/business-accounts/verification-overview/capabilities/). Save the response because you need it to:

   * Match the incoming webhooks using the `id`.
   * [Create a balance account for the account holder](/business-accounts/manage-balance-accounts#create-a-balance-account).
   * [Update the account holder](#update-account-holder).

   **POST /accountHolders response**

   ```json
   {
   "balancePlatform": "YOUR_BALANCE_PLATFORM",
   "description": "New Seller",
   "legalEntityId": "LE00000000000000000000001",
   "reference": "S.Eller-001",
   "capabilities": {
       "receiveFromPlatformPayments": {
       "enabled": true,
       "requested": true,
       "allowed": false,
       "verificationStatus": "pending"
       },
       "receiveFromBalanceAccount": {
       "enabled": true,
       "requested": true,
       "allowed": false,
       "verificationStatus": "pending"
       },
       "sendToBalanceAccount": {
       "enabled": true,
       "requested": true,
       "allowed": false,
       "verificationStatus": "pending"
       },
       "sendToTransferInstrument": {
       "enabled": true,
       "requested": true,
       "allowed": false,
       "requestedSettings": {
           "interval": "daily",
           "maxAmount": {
           "currency": "EUR",
           "value": 0
           }
       },
       "verificationStatus": "pending"
       }
   },
   "id": "AH00000000000000000000001",
   "status": "active"
   }
   ```

3. Listen to [balancePlatform.accountHolder.updated](https://docs.adyen.com/api-explorer/#/balanceplatform-webhooks/latest/post/balancePlatform.accountHolder.updated) webhooks. After Adyen has verified the new account holder, webhooks inform your integration of the resulting verification statuses of the account holder's capabilities. Webhooks contain the updated capability object with [verification codes](/business-accounts/kyc-verification-codes).

## View account holders

To view [account holder](/business-accounts/account-structure-resources) details, you can either use your [Customer Area](https://ca-test.adyen.com/) or make an API request. The following tabs explain both methods.

### Tab: Customer Area

To view the account holders in your [Customer Area](https://ca-test.adyen.com/):

1. Go to **Accounts & balances** > **Account holders**.

2. In the **Account holders** table, select an **Account holder ID** to open the **Account holder details** page.

The **Account holder details** page shows information such as:

* The status of the account holder
* Their balance accounts and available balances
* Their associated legal entities
* The ID and type of their uploaded documents
* Their capabilities and [verification deadlines](/business-accounts/verification-overview/#verification-deadlines)

### Filter and search

On the **Account holders** page, you can find specific account holders by using the filter and search features.

Set a filter by using the buttons on the filter bar, located on top of the account holder table. For example, you can filter account holders based on their [capabilities](/business-accounts/verification-overview/capabilities) and the capability statuses.

Also, you can search for an account holder by using their ID, reference, name or email.

To search for an account holder:

1. On the **Account holders** page, select **Search**.

2. On the dropdown menu, select **Account holder**.

3. In the text field, enter account holder's data, such as:

   * **Account holder details**: ID or reference
   * **Main legal entity details**: ID, name, or email\
     If the main legal entity is an individual, you need the `View account holders PII` role to search for the legal entity's name or email.

The search window now shows any corresponding account holders.

### Liable account holder

The [liable account holder](/business-accounts/account-structure-resources) is the account holder related to your company's legal entity. To view the details of the liable account holder, on the **Account holders** page, select **View liable account holder**.

### Tab: API

1. Make a GET [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)) with the account holder's `id` as a path parameter.

   **Get an account holder**

   #### curl

   ```bash
   curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \
   -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \
   -H 'content-type: application/json' \
   -X GET \
   ```

   #### Java

   ```java
   // Adyen Java API Library v33.0.0
   import com.adyen.Client;
   import com.adyen.enums.Environment;
   import com.adyen.model.balanceplatform.*;
   import java.time.OffsetDateTime;
   import java.util.*;
   import com.adyen.service.balancePlatform.*;

   Client client = new Client("ADYEN_BALANCE_PLATFORM_API_KEY", Environment.TEST);
   // Send the request
   AccountHoldersApi service = new AccountHoldersApi(client);
   AccountHolder response = service.getAccountHolder("id", null);
   ```

   #### PHP

   ```php
   <?php
   // Adyen PHP API Library v24.0.0
   use Adyen\Client;
   use Adyen\Environment;
   use Adyen\Service\BalancePlatform\AccountHoldersApi;

   $client = new Client();
   $client->setXApiKey("ADYEN_BALANCE_PLATFORM_API_KEY");
   $client->setEnvironment(Environment::TEST);

   // Send the request
   $service = new AccountHoldersApi($client);
   $response = $service->getAccountHolder('id');
   ```

   #### C\#

   ```cs
   // Adyen .net API Library v28.0.0
   using Adyen;
   using Environment = Adyen.Model.Environment;
   using Adyen.Model;
   using Adyen.Model.BalancePlatform;
   using Adyen.Service.BalancePlatform;

   var config = new Config()
   {
       XApiKey = "ADYEN_BALANCE_PLATFORM_API_KEY",
       Environment = Environment.Test
   };
   var client = new Client(config);

   // Send the request
   var service = new AccountHoldersService(client);
   var response = service.GetAccountHolder("id");
   ```

   #### NodeJS (JavaScript)

   ```js
   // Adyen Node API Library v23.3.0
   const { Client, BalancePlatformAPI } = require('@adyen/api-library');

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.getAccountHolder("id");
   ```

   #### Go

   ```go
   // Adyen Go API Library v17.0.0
   import (
     "context"
     "github.com/adyen/adyen-go-api-library/v17/src/common"
     "github.com/adyen/adyen-go-api-library/v17/src/adyen"
     "github.com/adyen/adyen-go-api-library/v17/src/balancePlatform"
   )
   client := adyen.NewClient(&common.Config{
     ApiKey:      "ADYEN_BALANCE_PLATFORM_API_KEY",
     Environment: common.TestEnv,
   })

   // Send the request
   service := client.BalancePlatform()
   req := service.AccountHoldersApi.GetAccountHolderInput("id")
   res, httpRes, err := service.AccountHoldersApi.GetAccountHolder(context.Background(), req)
   ```

   #### Python

   ```py
   # Adyen Python API Library v13.3.0
   import Adyen

   adyen = Adyen.Adyen()
   adyen.client.xapikey = "ADYEN_BALANCE_PLATFORM_API_KEY"
   adyen.client.platform = "test" # The environment to use library in.

   # Send the request
   result = adyen.balancePlatform.account_holders_api.get_account_holder(id="id")
   ```

   #### Ruby

   ```rb
   # Adyen Ruby API Library v10.1.1
   require "adyen-ruby-api-library"

   adyen = Adyen::Client.new
   adyen.api_key = 'ADYEN_BALANCE_PLATFORM_API_KEY'
   adyen.env = :test # Set to "live" for live environment

   # Send the request
   result = adyen.balancePlatform.account_holders_api.get_account_holder('id')
   ```

   #### NodeJS (TypeScript)

   ```ts
   // Adyen Node API Library v23.3.0
   import { Client, BalancePlatformAPI, Types } from "@adyen/api-library";

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.getAccountHolder("id");
   ```

2. Receive the details about the account holder including their [capabilities](/business-accounts/verification-overview/capabilities) in the API response.

   **Get account holder response**

   ```json
   {
     "balancePlatform": "YOUR_BALANCE_PLATFORM",
     "description": "Liable account holder used for international payments and payouts",
     "legalEntityId": "LE00000000000000000000001",
     "reference": "S.Eller-001",
     "capabilities": {
       "receiveFromPlatformPayments": {
         "enabled": true,
         "requested": true,
         "allowed": false,
         "verificationStatus": "pending"
       },
       "receiveFromBalanceAccount": {
         "enabled": true,
         "requested": true,
         "allowed": false,
         "verificationStatus": "pending"
       },
       "sendToBalanceAccount": {
         "enabled": true,
         "requested": true,
         "allowed": false,
         "verificationStatus": "pending"
       },
       "sendToTransferInstrument": {
         "enabled": true,
         "requested": true,
         "allowed": false,
         "transferInstruments": [
           {
             "enabled": true,
             "requested": true,
             "allowed": false,
             "id": "SE322KH223222F5GXZFNM3BGP",
             "verificationStatus": "pending"
           }
         ],
         "verificationStatus": "pending"
       }
     },
     "id": "AH00000000000000000000001",
     "status": "active"
   }
   ```

With the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/2/overview), you can also:

* GET [/balancePlatforms/{id}/accountHolders](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/balancePlatforms/\(id\)/accountHolders): Get a list of the account holders in your balance platform. This endpoint returns a paginated list of account holders.
* GET [/accountHolders/{id}/balanceAccounts](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)/balanceAccounts): Get a list of the balance accounts of an account holder. This endpoint returns a paginated list of balance accounts.

## Update an account holder

After you create an account holder resource, you may need to update it at a later time. For example, when an account holder with multiple balance accounts wants to change their primary balance account. To update an account holder:

1. Make a PATCH [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)) request. The example below shows how you can change the primary balance account of an account holder by sending the `primaryBalanceAccount` field.

   **Change the primary balance account**

   #### curl

   ```bash
   curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \
   -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \
   -H 'content-type: application/json' \
   -X PATCH \
   -d '{
       "primaryBalanceAccount":"BA00000000000000000000002"
   }'
   ```

   #### Java

   ```java
   // Adyen Java API Library v33.0.0
   import com.adyen.Client;
   import com.adyen.enums.Environment;
   import com.adyen.model.balanceplatform.*;
   import java.time.OffsetDateTime;
   import java.util.*;
   import com.adyen.service.balancePlatform.*;

   Client client = new Client("ADYEN_BALANCE_PLATFORM_API_KEY", Environment.TEST);

   // Create the request object(s)
   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest()
     .primaryBalanceAccount("BA00000000000000000000002");

   // Send the request
   AccountHoldersApi service = new AccountHoldersApi(client);
   AccountHolder response = service.updateAccountHolder("id", accountHolderUpdateRequest, null);
   ```

   #### PHP

   ```php
   <?php
   // Adyen PHP API Library v24.0.0
   use Adyen\Client;
   use Adyen\Environment;
   use Adyen\Model\BalancePlatform\AccountHolderUpdateRequest;
   use Adyen\Service\BalancePlatform\AccountHoldersApi;

   $client = new Client();
   $client->setXApiKey("ADYEN_BALANCE_PLATFORM_API_KEY");
   $client->setEnvironment(Environment::TEST);


   // Create the request object(s)
   $accountHolderUpdateRequest = new AccountHolderUpdateRequest();
   $accountHolderUpdateRequest
     ->setPrimaryBalanceAccount("BA00000000000000000000002");

   // Send the request
   $service = new AccountHoldersApi($client);
   $response = $service->updateAccountHolder('id', $accountHolderUpdateRequest);
   ```

   #### C\#

   ```cs
   // Adyen .net API Library v28.0.0
   using Adyen;
   using Environment = Adyen.Model.Environment;
   using Adyen.Model;
   using Adyen.Model.BalancePlatform;
   using Adyen.Service.BalancePlatform;

   var config = new Config()
   {
       XApiKey = "ADYEN_BALANCE_PLATFORM_API_KEY",
       Environment = Environment.Test
   };
   var client = new Client(config);

   // Create the request object(s)
   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest
   {
     PrimaryBalanceAccount = "BA00000000000000000000002"
   };

   // Send the request
   var service = new AccountHoldersService(client);
   var response = service.UpdateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### NodeJS (JavaScript)

   ```js
   // Adyen Node API Library v23.3.0
   const { Client, BalancePlatformAPI } = require('@adyen/api-library');

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderUpdateRequest = {
     primaryBalanceAccount: "BA00000000000000000000002"
   }

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### Go

   ```go
   // Adyen Go API Library v17.0.0
   import (
     "context"
     "github.com/adyen/adyen-go-api-library/v17/src/common"
     "github.com/adyen/adyen-go-api-library/v17/src/adyen"
     "github.com/adyen/adyen-go-api-library/v17/src/balancePlatform"
   )
   client := adyen.NewClient(&common.Config{
     ApiKey:      "ADYEN_BALANCE_PLATFORM_API_KEY",
     Environment: common.TestEnv,
   })

   // Create the request object(s)
   accountHolderUpdateRequest := balancePlatform.AccountHolderUpdateRequest{
     PrimaryBalanceAccount: common.PtrString("BA00000000000000000000002"),
   }

   // Send the request
   service := client.BalancePlatform()
   req := service.AccountHoldersApi.UpdateAccountHolderInput("id").AccountHolderUpdateRequest(accountHolderUpdateRequest)
   res, httpRes, err := service.AccountHoldersApi.UpdateAccountHolder(context.Background(), req)
   ```

   #### Python

   ```py
   # Adyen Python API Library v13.3.0
   import Adyen

   adyen = Adyen.Adyen()
   adyen.client.xapikey = "ADYEN_BALANCE_PLATFORM_API_KEY"
   adyen.client.platform = "test" # The environment to use library in.

   # Create the request object(s)
   json_request = {
     "primaryBalanceAccount": "BA00000000000000000000002"
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request=json_request, id="id")
   ```

   #### Ruby

   ```rb
   # Adyen Ruby API Library v10.1.1
   require "adyen-ruby-api-library"

   adyen = Adyen::Client.new
   adyen.api_key = 'ADYEN_BALANCE_PLATFORM_API_KEY'
   adyen.env = :test # Set to "live" for live environment

   # Create the request object(s)
   request_body = {
     :primaryBalanceAccount => 'BA00000000000000000000002'
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request_body, 'id')
   ```

   #### NodeJS (TypeScript)

   ```ts
   // Adyen Node API Library v23.3.0
   import { Client, BalancePlatformAPI, Types } from "@adyen/api-library";

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderUpdateRequest: Types.balancePlatform.AccountHolderUpdateRequest = {
     primaryBalanceAccount: "BA00000000000000000000002"
   };

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

2. Receive the response with the updated account holder object.

   **Update account holder response**

   ```json
   {
       "balancePlatform": "YOUR_BALANCE_PLATFORM",
       "description": "Content",
       "legalEntityId": "LE00000000000000000000001",
       "id": "AH00000000000000000000001",
       "primaryBalanceAccount": "BA00000000000000000000002",
       "status": "active"
   }
   ```

## Deactivate account holders

When an account holder discontinues their business, you can permanently close them and their balance accounts from your balance platform.

In some scenarios, you might also want to close a balance account but keep the account holder active. For example, an account holder that has separate balance accounts for their businesses might want to only close one of their businesses.

To close balance accounts and account holders:

1. Check if they have [zero balance](/business-accounts/manage-balance-accounts#view-balance-accounts) in their balance accounts. You can only close empty balance accounts, so if there are funds left, [transfer](/platforms/internal-fund-transfers/on-demand-fund-transfers/) any remaining balance.
2. Close balance accounts by [updating each balance account](/business-accounts/manage-balance-accounts#update-balance-account) and setting the `status` to **Closed**. Start with those that are not the primary balance account. You can only close a primary balance account if the account holder's other balance accounts are already closed.
3. Finally, permanently close the account holder by [updating the account holder](#update-account-holder) and setting the `status` to **Closed**.

## View capabilities

You can view an account holder's capabilities and their verification status in your [Customer Area](https://ca-test.adyen.com/) or by making a GET [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)) request. The following tabs explain both methods.

### Tab: Customer Area

To view capabilities of an account holder in your [Customer Area](https://ca-test.adyen.com/):

1. Do one of the following:

   * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table.

   * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity.

2. On the **Account holder details** page, select the **Capabilities** tab. You can view the capabilities that are enabled, allowed and their verification status.


### Tab: API

To view the capabilities of an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview):

1. Make a GET [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)) request.

2. In the [capabilities](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities) object of the response, note the following parameters and values that are listed for each capability:

   * [allowed](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-allowed): Boolean that indicates whether the capability is allowed. The possible values are **true** or **false**.
   * [enabled](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-enabled): Boolean that indicates whether the user can use the capability. The possible values are **true** or **false**.
   * [verificationStatus](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-verificationStatus): The status of the checks. The possible values are **invalid**, **pending**, **rejected**, or **valid**.
   * [problems](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-problems) array: When this array is not empty, this means that there are errors that you need to address. Refer to [verification error codes](/business-accounts/kyc-verification-codes) for a list of verification errors.

## Request a capability

Some capabilities are automatically requested when you [create an account holder](/business-accounts/onboard-users). However, your account holders may need additional capabilities. For example, if you want to allow your users to send and receive funds from third parties. In these cases, you must request the additional capabilities.

The following tabs show how to request a capability.

### Tab: Customer Area

To complete the following steps, you must have the **Manage account holder capabilities** [user role](/account/user-roles#platforms).

To request a capability for an account holder in your [Customer Area](https://ca-test.adyen.com/):

1. Do one of the following:

   * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table.

   * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity.

2. On the **Account holder details** page, select the **Capabilities** tab and select **+ Request new capability**.

3. From the dropdown menu, select a capability and, if applicable, its level.

4. Select **Submit**.

5. On the confirmation window, select **Submit request**.

The capability request is sent to Adyen for approval.

### Tab: API

To request a capability for an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview):

1. Make a PATCH [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)) request, specifying the key-value pairs for each capability in the [capabilities](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)#responses-200-capabilities) object. Set the [requested](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)#request-capabilities-requested) parameter to **true**.

   Here is an example of how to request the `receivePayment` capability for an existing user. If you are requesting multiple capabilities, add another set of key-value pairs.

   **Request a capability**

   #### curl

   ```bash
   curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \
   -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \
   -H 'content-type: application/json' \
   -X PATCH \
   -d '{
     "capabilities" : {
       "receivePayments" : {
         "requested" : true
       }
     }
   }'
   ```

   #### Java

   ```java
   // Adyen Java API Library v34.0.0
   import com.adyen.Client;
   import com.adyen.enums.Environment;
   import com.adyen.model.balanceplatform.*;
   import java.time.OffsetDateTime;
   import java.util.*;
   import com.adyen.service.balancePlatform.*;

   Client client = new Client("ADYEN_BALANCE_PLATFORM_API_KEY", Environment.TEST);

   // Create the request object(s)
   AccountHolderCapability accountHolderCapability = new AccountHolderCapability()
     .requested(true);

   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest()
     .capabilities(new HashMap<String, AccountHolderCapability>(Map.of(
       "receivePayments", accountHolderCapability
     )));

   // Send the request
   AccountHoldersApi service = new AccountHoldersApi(client);
   AccountHolder response = service.updateAccountHolder("id", accountHolderUpdateRequest, null);
   ```

   #### PHP

   ```php
   <?php
   // Adyen PHP API Library v26.0.0
   use Adyen\Client;
   use Adyen\Environment;
   use Adyen\Model\BalancePlatform\AccountHolderCapability;
   use Adyen\Model\BalancePlatform\AccountHolderUpdateRequest;
   use Adyen\Service\BalancePlatform\AccountHoldersApi;

   $client = new Client();
   $client->setXApiKey("ADYEN_BALANCE_PLATFORM_API_KEY");
   $client->setEnvironment(Environment::TEST);


   // Create the request object(s)
   $accountHolderCapability = new AccountHolderCapability();
   $accountHolderCapability
     ->setRequested(true);

   $accountHolderUpdateRequest = new AccountHolderUpdateRequest();
   $accountHolderUpdateRequest
     ->setCapabilities(
       array(
         "receivePayments" => $accountHolderCapability
       )
     );

   // Send the request
   $service = new AccountHoldersApi($client);
   $response = $service->updateAccountHolder('id', $accountHolderUpdateRequest);
   ```

   #### C\#

   ```cs
   // Adyen .net API Library v14.4.0
   using Adyen;
   using Environment = Adyen.Model.Environment;
   using Adyen.Model;
   using Adyen.Model.BalancePlatform;
   using Adyen.Service.BalancePlatform;

   var config = new Config()
   {
       XApiKey = "ADYEN_API_KEY",
       Environment = Environment.Test
   };
   var client = new Client(config);

   // Create the request object(s)
   AccountHolderCapability accountHolderCapability = new AccountHolderCapability
   {
     Requested = true,
     RequestedLevel = AccountHolderCapability.RequestedLevelEnum.Medium
   };

   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest
   {
     Capabilities = new Dictionary<string, AccountHolderCapability>
     {
       { "withdrawFromAtm", accountHolderCapability }
     }
   };

   // Make the API call
   var service = new AccountHoldersService(client);
   var response = service.UpdateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### NodeJS (JavaScript)

   ```js
   // Adyen Node API Library v16.2.0
   // Require the parts of the module you want to use
   const { Client, BalancePlatformAPI } = require('@adyen/api-library');
   // Initialize the client object
   const client = new Client({apiKey: "ADYEN_API_KEY", environment: "TEST"});

   // Create the request object(s)
   const accountHolderUpdateRequest = {
     capabilities: {
       withdrawFromAtm: {
         requested: true,
         requestedLevel: "medium"
       }
     }
   }

   // Make the API call
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### Go

   ```go
   // Adyen Go API Library v18.0.0
   import (
     "context"
     "github.com/adyen/adyen-go-api-library/v18/src/common"
     "github.com/adyen/adyen-go-api-library/v18/src/adyen"
     "github.com/adyen/adyen-go-api-library/v18/src/balancePlatform"
   )
   client := adyen.NewClient(&common.Config{
     ApiKey:      "ADYEN_BALANCE_PLATFORM_API_KEY",
     Environment: common.TestEnv,
   })

   // Create the request object(s)
   accountHolderCapability := balancePlatform.AccountHolderCapability{
     Requested: common.PtrBool(true),
   }

   accountHolderUpdateRequest := balancePlatform.AccountHolderUpdateRequest{
     Capabilities: &map[string]balancePlatform.AccountHolderCapability{
       "receivePayments": accountHolderCapability,
     },
   }

   // Send the request
   service := client.BalancePlatform()
   req := service.AccountHoldersApi.UpdateAccountHolderInput("id").AccountHolderUpdateRequest(accountHolderUpdateRequest)
   res, httpRes, err := service.AccountHoldersApi.UpdateAccountHolder(context.Background(), req)
   ```

   #### Python

   ```py
   # Adyen Python API Library v13.4.0
   import Adyen

   adyen = Adyen.Adyen()
   adyen.client.xapikey = "ADYEN_BALANCE_PLATFORM_API_KEY"
   adyen.client.platform = "test" # The environment to use library in.

   # Create the request object(s)
   json_request = {
     "capabilities": {
       "receivePayments": {
         "requested": True
       }
     }
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request=json_request, id="id")
   ```

   #### Ruby

   ```rb
   # Adyen Ruby API Library v10.1.2
   require "adyen-ruby-api-library"

   adyen = Adyen::Client.new
   adyen.api_key = 'ADYEN_BALANCE_PLATFORM_API_KEY'
   adyen.env = :test # Set to "live" for live environment

   # Create the request object(s)
   request_body = {
     :capabilities => {
       :receivePayments => {
         :requested => true
       }
     }
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request_body, 'id')
   ```

   #### NodeJS (TypeScript)

   ```ts
   // Adyen Node API Library v25.0.0
   import { Client, BalancePlatformAPI, Types } from "@adyen/api-library";

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderCapability: Types.balancePlatform.AccountHolderCapability = {
     requested: true
   };

   const accountHolderUpdateRequest: Types.balancePlatform.AccountHolderUpdateRequest = {
     capabilities: {
       "receivePayments": accountHolderCapability
     }
   };

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

2. In the response, note the following parameters and their respective values for the capability:

   * `requested`: **true**
   * `allowed`: **false**
   * `verification status`: **pending**

   **Response**

   ```json
   {
     "balancePlatform": "YOUR_BALANCE_PLATFORM",
     "id": "AH00000000000000000000001",
     "legalEntityId": "LE00000000000000000000001",
     "description": "S.Hopper",
     "capabilities": {
       "sendToThirdParty": {
         "requested": true,
         "allowed": false,
         "verificationStatus": "pending"
       }
     }
   }
   ```

## Enable or disable a capability

To allow or prevent an account holder from using a capability, update the capability in your [Customer Area](https://ca-test.adyen.com/) or make an API request. The following tabs explain both methods.

### Tab: Customer Area

To complete the following steps, you must have the **Manage account holder capabilities** [user role](/account/user-roles#platforms).

To enable or disable a capability for an account holder in your [Customer Area](https://ca-test.adyen.com/):

1. Do one of the following:

   * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table.

   * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity.

2. On the **Account holder details** page, select the **Capabilities** tab and select **Edit**.

3. In the **Enabled** column:

   * Select the corresponding checkbox to *enable* the capability.

   * Clear the corresponding checkbox to *disable* the capability.

4. Select **Save**.

5. On the confirmation window, select **Save changes**.

### Tab: API

To enable or disable a capability for an account holder using the [Configuration API](https://docs.adyen.com/api-explorer/balanceplatform/latest/overview):

1. Make a PATCH [/accountHolders/{id}](https://docs.adyen.com/api-explorer/balanceplatform/latest/patch/accountHolders/\(id\)) request specifying the following parameter for a capability:

   * [enabled](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/accountHolders/\(id\)#responses-200-capabilities-enabled): Set this to **true** or **false** to enable or disable the capability, respectively.

   Here is an example of how to disable a capability for an account holder. If you are requesting multiple capabilities, add another set of key-value pairs.

   **Disable a capability**

   #### curl

   ```bash
   curl https://balanceplatform-api-test.adyen.com/bcl/v2/accountHolders/AH00000000000000000000001 \
   -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \
   -H 'content-type: application/json' \
   -X PATCH \
   -d '{
   	"capabilities": {
       	"sendToThirdParty": {
           	"enabled": false
       	}
   	}
   }'
   ```

   #### Java

   ```java
   // Adyen Java API Library v34.0.0
   import com.adyen.Client;
   import com.adyen.enums.Environment;
   import com.adyen.model.balanceplatform.*;
   import java.time.OffsetDateTime;
   import java.util.*;
   import com.adyen.service.balancePlatform.*;

   Client client = new Client("ADYEN_BALANCE_PLATFORM_API_KEY", Environment.TEST);

   // Create the request object(s)
   AccountHolderCapability accountHolderCapability = new AccountHolderCapability()
     .enabled(false);

   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest()
     .capabilities(new HashMap<String, AccountHolderCapability>(Map.of(
       "sendToThirdParty", accountHolderCapability
     )));

   // Send the request
   AccountHoldersApi service = new AccountHoldersApi(client);
   AccountHolder response = service.updateAccountHolder("id", accountHolderUpdateRequest, null);
   ```

   #### PHP

   ```php
   <?php
   // Adyen PHP API Library v26.0.0
   use Adyen\Client;
   use Adyen\Environment;
   use Adyen\Model\BalancePlatform\AccountHolderCapability;
   use Adyen\Model\BalancePlatform\AccountHolderUpdateRequest;
   use Adyen\Service\BalancePlatform\AccountHoldersApi;

   $client = new Client();
   $client->setXApiKey("ADYEN_BALANCE_PLATFORM_API_KEY");
   $client->setEnvironment(Environment::TEST);


   // Create the request object(s)
   $accountHolderCapability = new AccountHolderCapability();
   $accountHolderCapability
     ->setEnabled(false);

   $accountHolderUpdateRequest = new AccountHolderUpdateRequest();
   $accountHolderUpdateRequest
     ->setCapabilities(
       array(
         "sendToThirdParty" => $accountHolderCapability
       )
     );

   // Send the request
   $service = new AccountHoldersApi($client);
   $response = $service->updateAccountHolder('id', $accountHolderUpdateRequest);
   ```

   #### C\#

   ```cs
   // Adyen .net API Library v29.0.0
   using Adyen;
   using Environment = Adyen.Model.Environment;
   using Adyen.Model;
   using Adyen.Model.BalancePlatform;
   using Adyen.Service.BalancePlatform;

   var config = new Config()
   {
       XApiKey = "ADYEN_BALANCE_PLATFORM_API_KEY",
       Environment = Environment.Test
   };
   var client = new Client(config);

   // Create the request object(s)
   AccountHolderCapability accountHolderCapability = new AccountHolderCapability
   {
     Enabled = false
   };

   AccountHolderUpdateRequest accountHolderUpdateRequest = new AccountHolderUpdateRequest
   {
     Capabilities = new Dictionary<string, AccountHolderCapability>
     {
       { "sendToThirdParty", accountHolderCapability }
     }
   };

   // Send the request
   var service = new AccountHoldersService(client);
   var response = service.UpdateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### NodeJS (JavaScript)

   ```js
   // Adyen Node API Library v25.0.0
   const { Client, BalancePlatformAPI } = require('@adyen/api-library');

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderUpdateRequest = {
     capabilities: {
       sendToThirdParty: {
         enabled: false
       }
     }
   }

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

   #### Go

   ```go
   // Adyen Go API Library v18.0.0
   import (
     "context"
     "github.com/adyen/adyen-go-api-library/v18/src/common"
     "github.com/adyen/adyen-go-api-library/v18/src/adyen"
     "github.com/adyen/adyen-go-api-library/v18/src/balancePlatform"
   )
   client := adyen.NewClient(&common.Config{
     ApiKey:      "ADYEN_BALANCE_PLATFORM_API_KEY",
     Environment: common.TestEnv,
   })

   // Create the request object(s)
   accountHolderCapability := balancePlatform.AccountHolderCapability{
     Enabled: common.PtrBool(false),
   }

   accountHolderUpdateRequest := balancePlatform.AccountHolderUpdateRequest{
     Capabilities: &map[string]balancePlatform.AccountHolderCapability{
       "sendToThirdParty": accountHolderCapability,
     },
   }

   // Send the request
   service := client.BalancePlatform()
   req := service.AccountHoldersApi.UpdateAccountHolderInput("id").AccountHolderUpdateRequest(accountHolderUpdateRequest)
   res, httpRes, err := service.AccountHoldersApi.UpdateAccountHolder(context.Background(), req)
   ```

   #### Python

   ```py
   # Adyen Python API Library v13.4.0
   import Adyen

   adyen = Adyen.Adyen()
   adyen.client.xapikey = "ADYEN_BALANCE_PLATFORM_API_KEY"
   adyen.client.platform = "test" # The environment to use library in.

   # Create the request object(s)
   json_request = {
     "capabilities": {
       "sendToThirdParty": {
         "enabled": False
       }
     }
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request=json_request, id="id")
   ```

   #### Ruby

   ```rb
   # Adyen Ruby API Library v10.1.2
   require "adyen-ruby-api-library"

   adyen = Adyen::Client.new
   adyen.api_key = 'ADYEN_BALANCE_PLATFORM_API_KEY'
   adyen.env = :test # Set to "live" for live environment

   # Create the request object(s)
   request_body = {
     :capabilities => {
       :sendToThirdParty => {
         :enabled => false
       }
     }
   }

   # Send the request
   result = adyen.balancePlatform.account_holders_api.update_account_holder(request_body, 'id')
   ```

   #### NodeJS (TypeScript)

   ```ts
   // Adyen Node API Library v25.0.0
   import { Client, BalancePlatformAPI, Types } from "@adyen/api-library";

   const client = new Client({ apiKey: "ADYEN_BALANCE_PLATFORM_API_KEY", environment: "TEST" });

   // Create the request object(s)
   const accountHolderCapability: Types.balancePlatform.AccountHolderCapability = {
     enabled: false
   };

   const accountHolderUpdateRequest: Types.balancePlatform.AccountHolderUpdateRequest = {
     capabilities: {
       "sendToThirdParty": accountHolderCapability
     }
   };

   // Send the request
   const balancePlatformAPI = new BalancePlatformAPI(client);
   const response = balancePlatformAPI.AccountHoldersApi.updateAccountHolder("id", accountHolderUpdateRequest);
   ```

2. In the response, note the following parameters and their respective values for each capability:

   * `enabled`: **false**
   * `allowed`: **true**
   * `verification status`: **valid**

   **Response**

   ```json
   {
     "balancePlatform": "YOUR_BALANCE_PLATFORM",
     "id": "AH32272223222B5D3755J3C3C",
     "legalEntityId": "LE00000000000000000000001",
     "description": "S.Hopper",
     "capabilities": {
       "sendToThirdParty": {
         "enabled": false,
         "allowed": true,
         "verificationStatus": "valid"
       }
     }
   }
   ```

## Manage KYC

The [Know Your Customer](/business-accounts/onboard-users/) (KYC) checks are part of the verification process that Adyen performs to make sure that account holders have provided accurate information about their businesses.

In your [Customer Area](https://ca-test.adyen.com/), you can access a KYC summary and a detailed timeline of the entire verification process. You can also view and download any documents that account holders have uploaded.

### View KYC summary and timeline

You can view information about the [verification process](/business-accounts/verification-overview) for account holders in your balance platform. This includes an overview of the current verification status for associated legal entities and a timeline of KYC-related events. You can use this information to help your users troubleshoot issues they experience during the onboarding process.

To view KYC summary and timeline information in your [Customer Area](https://ca-test.adyen.com/):

1. Do one of the following:

   * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table.

   * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity.

2. On the **Account holder details** page, select **KYC timeline**.

The **KYC summary** section shows the current status of the KYC checks separated by the type of check, for example **Identity**. If there are multiple legal entities linked to the account holder, the type of each legal entity is specified, for example **Individual**.

**

### Possible KYC verification statuses for a legal entity

| Verification status | Description                                                                                                                                                                                                                                                                                  |
| ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Awaiting data**   | The KYC information for the legal entity has not yet been submitted.                                                                                                                                                                                                                         |
| **In review**       | The KYC information for the legal entity is being reviewed by Adyen.                                                                                                                                                                                                                         |
| **Verified**        | The KYC verification checks for the legal entity have passed.                                                                                                                                                                                                                                |
| **Unsuccessful**    | The KYC verification checks for the legal entity have failed. For example, because of an invalid document or ID number. Review the **KYC Timeline** for more information about the verification errors and recommended remediating actions. To be verified, all the errors must be resolved. |
| **Rejected**        | The legal entity has been rejected by Adyen. For example, because the organization is in a sanctions list. This status is final and any errors cannot be resolved by updating data or uploading documents.                                                                                   |

To view more detailed information about the order of the KYC checks and events that affected the verification process, look at the **KYC timeline**. You can filter events by the type of check, legal entity ID, and legal entity name. The timeline also includes any [verification errors and the corresponding remediating action codes](/business-accounts/kyc-verification-codes).

### View KYC documents

To access the **KYC documents** tab, you must have the **View KYC documents** and **Download KYC documents** [roles](/account/user-roles#platforms). Consider the privacy implications before granting these roles to any user.

Based on your role, you may view only or view and download the documents that account holders have uploaded during their onboarding process for verification checks.

In your [Customer Area](https://ca-test.adyen.com/):

1. Do one of the following:

   * Go to **Accounts & balances** > **Account holders** and select an account holder ID from the table.

   * Search for an account holder by selecting **Search**. You can use the account holder ID, account holder reference, or the ID of the linked legal entity.

2. On the **Account holder details** page, select **KYC documents**.

You can use this information to help your users resolve [verification errors](/business-accounts/kyc-verification-codes) they experience during the onboarding process, such as expired documents or a mismatch between the legal and organization names.

Apply filters by document type, file name, and associated legal entity ID to get the information you need.
